Package org.eclipse.cdt.core.settings.model

# Class XmlStorageUtil

java.lang.Object
org.eclipse.cdt.core.settings.model.XmlStorageUtil

public class XmlStorageUtil extends Object
This class serves as a bridge from Xml Document trees to ICStorageElement trees. This allows importing of old style Xml trees into ICStorageElement based project descriptions

Since:
  5.1
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`XmlStorageUtil()`

## Method Summary

Modifier and Type
Method
Description
`static ICStorageElement`
`createCStorageTree(Document doc)`
Return an ICStorageElement tree based around the specified document N.B.
`static ICStorageElement`
`createCStorageTree(Element el)`
Return an ICStorageElement tree based around the specified Element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlStorageUtil

public XmlStorageUtil()

## Method Details

### createCStorageTree

public static ICStorageElement createCStorageTree(Document doc)
Return an ICStorageElement tree based around the specified document N.B. the tree is backed by the passed in document so care should be taken to ensure that the tree is only subsequently through the ICStorageElement interface The ICStorageElement tree is based on the first Element found in the Document

Parameters:
  `doc` -
Returns:
  ICStorageElement tree or null if impossible

### createCStorageTree

public static ICStorageElement createCStorageTree(Element el)
Return an ICStorageElement tree based around the specified Element. NB the returned ICStorageElement is backed by the passed in Element which should only be modified via the ICStorageElement interface subsequent to this conversion.

Parameters:
  `el` - input XML element
Returns:
  ICStorageElement tree